PROC PRESS.ANY.KEY()
; ******************
  IF MONITOR() = "Color" THEN STYLE ATTRIBUTE 79 ELSE STYLE REVERSE ENDIF
    @ 24,30 ?? "Press any key to proceed..."
  STYLE 
  While Not Charwaiting()
  Endwhile
  X = Getchar()   ; X = 27 (Esc was pressed...)

ENDPROC

PROC CONTD.PRESS.ANY.KEY()
; ************************
  IF MONITOR() = "Color" THEN STYLE ATTRIBUTE 79 ELSE STYLE REVERSE ENDIF
  @ 24,5 ?? "This page is cont'd. Press 'ESC' for Menu or any other key to proceed."
  STYLE
  While Not Charwaiting()
  Endwhile
  X = Getchar()   ; X = 27 (Esc was pressed...)

ENDPROC

PROC GEN.HELP()
; *************

CLEAR
@ 2,0
TEXT
 General Help ͻ
                                                                              
 ..CCS Report Writer guides you step-by-step to produce a PARADOX report.     
                                                                              
 ..During a session the following two files may be produced:                  
     1. an Intermediate file (filename.CC?) which is used internally by the   
        CCS Report Writer and should not be altered by an external editor.    
                              ==========                                      
     2. a standard PARADOX Report file (filename.R?) which can be used        
        through the normal PARADOX menus.                                     
                                                                              
 ..To use the Report Writer:     {SCRIPTS} {PLAY} CCSRPT                      
                                                                              
 ..The session usually proceeds form LEFT to RIGHT on the Main Menu.          
     'Table' is required first; 'Report#' second; and so on.                  
                                                                              
͹
 *** WARNINGS - THIS SCRIPT CAN OVERWRITE:                                    
      1) AN EXISTING PARADOX REPORT YOU MAY ALREADY HAVE ON YOUR SYSTEM OR    
      2) THE PARADOX 'ANSWER' TABLE                                           
ͼ
ENDTEXT

IF MONITOR() = "Color" THEN STYLE ATTRIBUTE 79 ELSE STYLE REVERSE ENDIF
  @ 24,20 ?? "Choose a Help topic or press 'Esc' to return..."
STYLE

  ShowMenu
    ""           : "Utilities menu choices",
    "Mouse"       : "Notes for Mouse support (4.0 in Standard mode only)",
    "Table Names" : "Help on Main 'Table' & 'LinkTable' menu choices",
    "Report#"     : "Help on 'Report#' menu choice",
    "Sorts"       : "Help on 'Sorts' menu choice",
    "Fields"      : "Help on 'Fields' menu choice ",
    "Options"     : "Help on 'Options' menu choice ",
    "Query"       : "Help on using Query ",
    "Print"       : "Help on 'Print' menu choices ",
    "Errors"      : "All messages listed with explanation",
    "Esc"         : "Return"
      Default Mh To Mh
Clear
@ 1,0
ENDPROC

PROC UTILS.HELP()
; ***************
TEXT
   Utilities Help ͻ
                                                                              
 ..Directory: Allows you to change to any Directory in the current drive.     
 ..Formats: Change default field Formats (not available yet)                  
 ..Printer: Allows you to change various Printer specifications:              
              Port:  Change output Port name LPT, LPT2, LPT3, COM1, COM2, AUX 
              Setup: Send strings to the Printer before and/or after report   
              Compression: Enter a code to print compressed character set     
              Layout: Alter page length, width, margin, automatic line center 
              AutoCompress: Change when/if to send Printer Compression Code   
 ..Run:     Run an existing Paradox Report using the Table.R?? file           
              (Note: If the report contains a Query or a Percent function,    
              you must use the /Table/Report#/New/Print for desired results)  
 ..Status:  Displays the current Report Writer parameters                     
 ..User:    Load or Save User Preferences (not available yet)                 
 ..About:   Displays an Informational screen about CCS Report Writer          
 ..Help:    Provides these On-line Help Screens                               
 ..Interface: Toggles User Interface (Compatability <--> Standard mode)       
              (for Paradox version 4.0 only - Standard mode allows for        
              full mouse support and Dialog boxes for format control)         
 ..Exit:    Exits the Report Writer and returns to Paradox or the caller.     
                                                                              
ͼ
ENDTEXT

ENDPROC

PROC MOUSE.HELP()
; ***************
TEXT
  Mouse Help ͻ
                                                                              
 ..Clicks are left clicks unless specified otherwise.                         
                                                                              
 ..Modify          Click ON        Effect                                     
                             
   Sort field      Field name      Modify sub-menu                            
                   A or D value    Sequence sub-menu (Ascend/Descend)         
                   right click     Escapes Modify mode                        
                                                                              
   Print field     Field name      Modify sub-menu                            
                   Format          Change Format                              
            ..if more than 10 Print Fields:                                   
                   ''             Scrolls Up                                 
                   ''             Scrolls Down                               
                   right click     Escapes Modify mode                        
                                                                              
 ..Using SlideBars in Format change dialog:                                   
       ..clicking on the very ends will change the value by 1                 
       ..clicking within the Bar will change the value by more than 1         
       ..you can click and drag, but the change to the value is large         
                                                                              
ͼ
ENDTEXT

ENDPROC

PROC TABLE.HELP()
; ***************
TEXT
  Table Names Help ͻ
                                                                              
 ..The main 'Table' or the 'LinkTable' must be selected from the Database     
     tables in this directory.                                                
                                                                              
 ..'Table' must be selected before specifying Report# or any fields.          
                                                                              
 ..Cannot specify any Temporary files such as 'Struct', etc.                  
     PARADOX deletes the temporary 'Answer' table at the end of this session. 
                                                                              
 ..The 'LinkTable' facility is complicated to explain, but simple to use.     
     You usually use this feature for expanding a code from the main Table    
     to its full description. (e.g. CUST# to CUSTOMER.NAME)                   
     There are two special requirements to use the 'LinkTable' feature:       
       1. the Linked file must be KEY'ed and                                  
       2. you must specify matching field(s) from the main Table to each      
          KEY in the Linked Table.  (these fields must really be equal)       
     The File 'SAMPLE' and Report#2, included on the install disk,            
     contains a simple example of using the Link Table.  (See the PARADOX     
     manuals for a complete explanation of the Linked File Lookup facility.)  
     You must be using PARADOX Release 3.0 or greater for this to work.       
                                                                              
ͼ
ENDTEXT

ENDPROC

PROC REPORT.HELP()
; ******************
TEXT
 Report # Help ͻ
 ..Save:   Writes the intermediate file (Tablename.CC#) to disk.              
              Tablename is the name you are doing the report on               
              # is the RPT# as selected by you.                               
 ..Generate:  Save's the .CC file and then creates the PARADOX report file.   
       Choose this option if you need to do modifications to the report       
       file or if you want to output this report at a later time.             
 ..New:    Loads an existing intermediate report file or starts a new report  
       with the values currently on the screen.  Valid values are 1-9 plus    
       'Training'.  Password protected tables may force RPT# to 'Training'    
       if the user cannot create reports.  'Training' mode has no Update      
       capabilities, and cannot create a PARADOX report file.                 
       You can copy the report on the screen, within the same Table,          
       by using the 'New' option and choosing an 'Available' RPT#, and        
       then 'Save' it under the new RPT#.                                      
 ..Clear:  Resets all Sorts, Fields and LinkTables currently on the screen.   
 ..Delete: Deletes the intermediate file and (optionally) the PARADOX report  
       file from the disk.                                                    
 ..XCopy:  Copies the report on the screen to another Table/RPT# (Not Avail.) 
͹
 *** WARNING:  THIS SCRIPT CAN OVERWRITE 1) AN EXISTING PARADOX REPORT YOU    
      MAY ALREADY HAVE ON YOUR SYSTEM OR 2) THE PARADOX 'ANSWER' TABLE        
ͼ
ENDTEXT

ENDPROC

PROC SORT.HELP()
; **************
TEXT
 Sort Fields Help ͻ
                                                                              
 ..Specify the Sort Fields in the sequence you want the report.               
                                                                              
 ..An optional underscore line will be generated after each Sort Field        
     changes (breaks) in the report and sub-totals will be printed in their   
     appropriate columns.  The Sort Field, if also specified as a Print Field,
     will be printed in the sub-totals line. (See SAMPLE RPT#3 for example)   
                                                                              
 ..See the description of the PARADOX 'Custom Script' for other important     
     explanations of how Sort Fields are actually printed in the report.      
                                                                              
 ..'Modify' instructions:  Hi-lite the field with up & down arrow keys.       
     You can also use Home, End, PageUp, and PageDown.                        
     You can use '/' or 'F10' or 'Esc' keys to exit 'Modify' mode.            
     Once hi-lited press Enter to proceed to an edit menu,                    
     or press one of the following short-cut keys to bypass the menu.         
        A           = Append new field at end                                 
        C or -     = Change Sort Direction of hi-lited field                 
        D or Delete = Delete hi-lited field                                   
        I or Insert = Insert new field before hi-lited field                  
 ..See 'Mouse' topic in Help menu for instructions on mouse usage.            
ͼ
ENDTEXT
ENDPROC

PROC FIELD.HELP()
; ***************
  TEXT
 Print Fields Help ͻ
                                                                              
 ..Choose the fields in the order you want the fields printed from left to    
     right.  Use the keyboard to change the format (how the field is printed).
     Once chosen, you can clear the fields with the 'Clear' menu option, or   
     edit the chosen fields with the 'Modify' menu choice, or Place All of the
     fields in the Main Table and Link'ed Tables at once with the 'PlaceAll'. 
                                                                              
 ..In 'Modify' you hi-lite the field with up & down arrow keys.  Home, End,   
     PageUp, and PageDown also work.  Once hi-lited press Enter to proceed    
     to an edit menu, or press one of the short-cut keys to bypass the menu.  
     You can use '/' or 'F10' or 'Esc' key to exit 'Modify' mode.             
     Short-cut keys are:                                                      
        A           = Append new field at end                                 
        C or -     = Change format of hi-lited field                         
        D or Delete = Delete hi-lited field                                   
        I or Insert = Insert new field before hi-lited field                  
                                                                              
 ..See 'Mouse' topic in Help menu for instructions on mouse usage.            
                                                                              
                                                                              
                                                                              
ͼ
  ENDTEXT

  CONTD.PRESS.ANY.KEY()
  IF X <> 27 THEN
    CLEAR
    @ 1,0
    TEXT
 Print Fields Help (cont'd) ͻ
                                                                              
 The first character of the Format is the Fields's Type (A, B, D, M, N, S, $) 
                                                                              
 The following keys control the Format:                                       
       -- Keys -- --------------- Function ---------------------------------  
    1.   - -    increase / decrease digits left of decimal point            
                  ('A' Alpha or 'M' Memo field, adjusts print width)          
                                                                              
    2.          increase / decrease digits right of decimal point           
                        (only if DEC.PT. is Toggled ON)                       
                  ('A' or 'M', increase/decrease lines for WordWrap)          
                                                                              
    3.     .      toggles DEC.PT. ON = display decimal point in field         
                                 OFF = do not display decimal point in field  
                                                                              
    4.     ,      toggles COMMA   ON = displays   000,000 field format        
                                 OFF = displays    000000 field format        
                                                                              
    5.  A,C,H,L,P,S,N  the last character displayed is the Numeric function   
        A=Average   C=Count   H=Hi   L=Low   P=Percent   S=Sum   N=None       
        (the #Record field only allows Function = Sum or None)                
ͼ
    ENDTEXT
    CONTD.PRESS.ANY.KEY()
    IF X <> 27 THEN
      CLEAR
      @ 1,0
  TEXT
 Print Fields Help (cont'd) ͻ
   FieldType      Field widths                                                
   in Table     Minimum-Maximum    Default          Example  Alignment        
    ------      ---------------    -------  ---------------  ---------        
    A or M         1     240     Table Size       Vancouver  Left             
       D           5      18         8             mm/dd/yy  Right            
       N           1      12.8       9            999999999  Right            
    S or #         1       6         6               999999  Right            
       $           1      12.8,      9.2,  (999,999,999.99)  Right            
 ==Notes== 1: digits in formats are ACTUAL DIGITS displayed                   
           2: # is a special field for counting not actually in data Table    
           3: the 'C' Count function has a max. 6 digits, no DECPT, no (,000) 
                                                                              
  Format Examples:                                                            
    A10      Vancouver       Length greater than Table size will leave blanks 
    M15W3    Line will wrap  Memo field (width=15 and WordWrap up to 3 lines) 
    D1             10/15/91  (valid date formats are 01-11)                   
    N8S           -12345678  (and in all totals' lines)                       
    N3.2P             51.85  (percent calc., all totals', % in field name)    
    S6,S            123,456  (all totals')                                    
    S4N               -1234  (no totals)                                      
    $7.2,A   (1,234,567.12)  (AVG of field, all totals')                      
ͼ
      ENDTEXT
      PRESS.ANY.KEY()
    ENDIF
  ENDIF
ENDPROC

PROC OPTIONS.HELP()
; *****************
TEXT
 Options Menu Help ͻ
                                                                              
 ..Options choices are:                                                       
                                                                              
   ..RptDesc:  Changes the Report Description which is saved with the Report  
       and is printed at the top of the Report.  This RptDesc is also         
       shown on the Report# menu screen to help identify each report.         
                                                                              
   ..Subtotals:                                                               
       Yes will print all (3) below                                           
          1. a dashed line between the details and the sub-totals             
          2. the sub-totals in their appropriate columns                      
          3. the Sort field on its' sub-totals line (if also a Print field)   
       No will not print any of these items                                   
                                                                              
   ..Details:                                                                 
       Yes will print the requested fields for each record in the Table       
       No will only print fields that are total'ed or the Sort fields, if     
          also printed.  (this is the details suppressed option)              
                                                                              
                                                                              
                                                                              
ͼ
ENDTEXT
ENDPROC

PROC QUERY.HELP()
; *****************
TEXT
 Query Help ͻ
                                                                              
 ..This is the first draft of the Query facility.  It is very powerful and    
     currently has no edits built into the 'value' clause entered by the      
     user.  CAUTION is advised.                                               
                                                                              
 ..First choose a Field to filter the data.  For now, you can only choose     
     a Main Table field, not a Link'ed Table field.                           
 ..Second choose a relationship to compare the field just choosen to the      
     value in the next step.  These relationships should be sufficient        
     for most filtering requests.                                             
 ..Third enter a value to compare to the choosen field.  The value you enter  
     must be compatable with the type of field being filtered (i.e. if the    
     field is a numeric type, enter a numeric value, an similarly for an      
     alphanumeric field).   ',' implies an AND condition.  Examples are:      
       Field-- Relation Value------  -------- Results -------------------     
       Total   >=       100,<200     filters a numeric field range            
       State   LIKE     M            selects all State's begining with 'M'    
       State   =        M..          same result as above                     
       State   >=       CA,<P,NOT KS complex range filter of State            
 ..You cannot use:  CHANGETO, DELETE, FIND, INSERT, or SET                    
 ..DO NOT use the 'AS' capability to rename a field, it causes big problems.  
ͼ
ENDTEXT
ENDPROC

PROC PRINT.HELP()
; ***************
TEXT
 Print Menu Help ͻ
                                                                              
..The Paradox report is generated and then sent to the desired destination:   
                                                                              
    Printer: You can change the printer port in ''/Printer/Port              
         If the program is unable to print, an error message is written,      
         and you will have to choose a corrective action:                     
                    Retry:  will retry to print the report                    
                    Screen: will redirect the report to the Screen            
                    File:   will prompt for a filename and redirect           
                    Esc:    will abort the report altogether.                 
                                                                              
    Screen:  output to the screen.  PDX 4.0 you have access to the Report     
         Preview options, Changing Video mode (lines/columns) and others.     
         Video/Monochrome causes some Color systems to hang.                  
         'F2' is a quick one-key exit to Report Preview.                      
         Ctrl-Z will search the report for a user input value.                
                                                                              
    File:  will prompt for an output disk filename and send output to         
         that file.  If the file already exists, you will be asked to         
         Replace the file or choose another filename.                         
                                                                              
ͼ
ENDTEXT
ENDPROC

PROC MESSAGES.HELP()
; ******************
TEXT
 Messages Help ͻ
                                                                              
 Start-up messages that may display are:                                      
                                                                              
   1. "The application can only be started from Paradox main mode"            
       Solution: Press 'ESC' until the PARADOX Main Menu is displayed;        
              then retry this script. {Scripts} {Play} Ccsrpt                 
                                                                              
   2. "WARNING: You are running on a NETWORK..this script may not work"       
       Solution: You must order the Network Pack, or proceed with caution.    
                                                                              
   3. xxxx Available memory less than 80K, may cause problems.                
       Solution: If the Generate step does Abort, more memory is required.    
                                                                              
   4. "Your Evaluation period has expired...Thank you"                        
       The Demo version has a life span of 60 days.                           
                                                                              
ͼ
ENDTEXT
CONTD.PRESS.ANY.KEY()
IF X <> 27 THEN
  CLEAR
  @ 1,0
  TEXT
 Messages Help (cont'd): Informational or prompt the user for input ͻ
  ==> Select the Table to report on and press ENTER...                        
  ==> Press ANY Key to Proceed.....                                           
  ==> Select Field to insert before hi-lited field...                         
  ==> Select the REPORT# and press ENTER...                                   
  ==> Starting Report.  Please wait...                                        
  ===>  ERROR: Printer not ready.                                             
  ==> Select Output Destination                                               
  ==> Select the LinkTable (max 5) for additional fields...                   
  ==> Select Option [Y/N], or press 'ESC'  ...Select Yes or No                
  ==> Select Sort Field (max 10)...                                           
  ==> Select a Sorting Direction...        ...Ascending or Descending         
  ==> Select Fields to print (max 30)...                                      
  ==> Select DATE Format (1-11)                                               
  ==> Enter a Title for the Report.  Press ENTER to Accept                    
          use -- Backspace key to erase and re-enter title for the report    
              Ctrl-Backspace erases the entire title for re-entry             
  ==> Select new Directory, or press 'ESC'                                    
  Use  : Enter=Select A=Append C=Change D=Delete I=Insert  /,F10,Esc=Done   
  Use  - -  to adjust Numeric digits  ',' Toggle ,000 format ENTER=Accept   
            to adjust Decimal digits  'T' to change Title                   
        Function Keys: A=Avg  C=Count  H=Hi  L=Low  N=None  P=Percent  S=Sum  
ͼ
  ENDTEXT
  CONTD.PRESS.ANY.KEY()
  IF X <> 27 THEN
    CLEAR
    @ 1,0
    TEXT
 Messages Help (cont'd): Informational or prompt the user for input ͻ
                                                                              
  ==> Select the LinkTable to Delete... or press 'ESC'                        
        (this does not delete the Table from disk, only from the Desktop)     
  ==> Select the Printer parameter to change                                  
  ..Use  - - to adjust field PRINT width.         ENTER=Accept              
             to adjust WordWrap Lines  (WordWrap: if the data is longer than
                                 the width, it will overlap to the next line) 
          'T' to change Title    (changes the column heading in the report)   
  ..Analyzing Disk Directories...(DOS TREE command for changing Directory)    
  ..Searching for existing Reports... (any Table.CC? or Table.R* files)       
  ..Performing Query...          (actually doing the Query & displays results)
  ..Sending Report to the default printer...                                  
  ==> Step 1:  Select Field to Filter.      (See 'Query' Help)                
  ==> Step 2:  Select Comparison for Field.                                   
  ==> Step 3:  Enter Value for Field Comparison. (DO NOT use 'AS')            
  ==> Enter an output file name.  (any valid disk file name)                  
  ==> Loading report...Please wait...                                         
  ==> That Key has been disabled...                                           
       DOS Exit keys and Mini-Edit key are not allowed in this mode.          
                                                                              
                                                                              
ͼ
ENDTEXT
     CONTD.PRESS.ANY.KEY()
     IF X <> 27 THEN
       CLEAR
       @ 1,0
       TEXT
 Messages Help (cont'd):  Error messages usually must be corrected: ͻ
                                                                              
 ERROR #1: You must have chosen Table and RPT# first                          
     Desc: Main Table and RPT# must be chosen before proceeding.              
 ERROR #2: You cannot select 'B' (Binary-type) fields.                        
     Desc: 'B' fields are not printable in the Paradox report program.        
 ERROR #3: Link Table has more than 5 Keys...cannot support...                
     Desc: A maximum of of 5 keys are allowed within a Linked LookUp Table.   
 ERROR #4: The LINK Table must be Key'ed. Please choose again                 
     Desc: This is a requirement for the Link Table feature to work.          
 ERROR #5: Cannot Sort or Link or Filter with Memo or #-type fields.          
     Desc: Just a limitation...                                               
 ERROR #6: This Sort Field already chosen. Please choose again                
     Desc: You cannot choose the same field more than once for Sorting        
 ERROR #7: Matching Link fields must be same field type, choose again.        
     Desc: A requirement of Link'ing, the matching fields must be the same.   
 ERROR #8: Training... no updates can be done                                  
     Desc: If Update is required, change the Report# to an available #        
 ERROR #9: Not ready, no fields chosen yet                                    
     Desc: You must specify at least 1 Print field to Save,Generate or Print. 
 ERROR #10: No Data Base Tables in this Directory...                          
     Desc: no .DB tables in this directory, use ''/Directory to change       
ͼ
    ENDTEXT
           CONTD.PRESS.ANY.KEY()
           IF X <> 27 THEN
             CLEAR
             @ 1,0
             TEXT
 Messages Help (cont'd):  Error messages usually must be corrected: ͻ
                                                                              
 ERROR #11: Reserved Internal work file. Please choose again                  
     Desc: the user has chosen a Paradox or Report Writer reserved table.     
 ERROR #12: You must choose a Table first...                                  
 ERROR #13: Table already chosen. Please choose again.                        
 ERROR #15: No existing reports for this Table...choose again.                
 ERROR #16: Protected Field not allowed... choose again.                      
 ERROR #17: Password insufficient for Report creation, Training mode only.    
 #18 WARNING: No records in this Table...                                     
 ERROR #19: Report Load Error: Invalid password or Link'ed key error          
     Desc: a previously Link'ed Table has been deleted, password changed,     
       structure changed, or the .CC? file has been corrupted.                
 ERROR #20: PARADOX limit exceeded: LineWidth greater than 2000.              
 ERROR #21: PARADOX limit exceeded: Summary fields greater than 254.          
 ERROR #22: Query produced no records. Report generation not done.            
     Desc: the Query criteria, as entered, has found no data to display.      
 ERROR #23: [LinkTbls] invalid here...choose again.                           
     Desc: 1) there are no LinkTables specified,                              
        or 2) you were prompted Select a Main Table field,                    
        or 3) you cannot use a Link'ed field to filter the data.              
                                                                              
ͼ
    ENDTEXT
    CONTD.PRESS.ANY.KEY()
    IF X <> 27 THEN
      CLEAR
      @ 1,0
      TEXT
 Messages Help (cont'd): Miscellaneous informational ͻ
                                                                              
  ..'Description not available' on Report/New Menu                            
      Desc: The report description has been intentionally blank'ed out        
          or there is a Paradox .R report file, but no intermediate .CC file. 
  ==> WARNING: OK to OVERWRITE the existing PARADOX Report file 'Filename'    
      Desc: This choice will eventually overwrite the existing Report file    
  ==> Select Table Field to Match: Linked Table->Field                        
      Desc: You must match each key field in the Linked Table to a field in   
          Main Table before any Linking (cross referencing) can be printed.   
          The fields must also be the same type.                              
  ==> WARNING: Dropping field from report: 'Fieldname'                        
      Desc: Either this field has been deleted from this Table or             
          worse, the Intermediate file has been corrupted...                  
  ==> Line width increased to XXX      Desc: During Generation                
          the Line width had to be increased to make room for all fields      
  ==> Saving 'file.CC#' and Generating 'PARADOX Rpt#'  Please Wait..          
  ==> Saving 'file.CC#'     Desc: Writing the Intermediate file to disk       
  ==> Sending 'Report Filename' to the default printer...Please Wait...       
  ==> Printer not ready...  Desc: try again after making printer ready        
          or re-direct the report to the screen or a disk file                
                                                                              
ͼ
      ENDTEXT
      PRESS.ANY.KEY()
     ENDIF
    ENDIF
  ENDIF
ENDIF
ENDIF
ENDPROC

; ******** START OF MAINLINE PROCEDURE
Mh = "Table Names"

WHILE (TRUE)
  GEN.HELP()
  switch
 
  case Mh = "":
    UTILS.HELP()
    PRESS.ANY.KEY()

  case Mh = "Mouse":
    MOUSE.HELP()
    PRESS.ANY.KEY()

  case Mh = "Table Names":
    TABLE.HELP()
    PRESS.ANY.KEY()

  case Mh = "Report#":
    REPORT.HELP()
    PRESS.ANY.KEY()

  case Mh = "Sorts":
    SORT.HELP()
    PRESS.ANY.KEY()

  case Mh = "Fields":
    FIELD.HELP()

  case Mh = "Options":
    OPTIONS.HELP()
    PRESS.ANY.KEY()

  case Mh = "Query":
    QUERY.HELP()
    PRESS.ANY.KEY()

  case Mh = "Print":
    PRINT.HELP()
    PRESS.ANY.KEY()

  case Mh = "Errors":
    MESSAGES.HELP()

  Otherwise:
    Quitloop

Endswitch

ENDWHILE
;   END OF HELP...
